Bug 2152 - Gwibber-3.0.0.1 crashes during startup
: Gwibber-3.0.0.1 crashes during startup
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 02:36 MSD by Eugene Budanov
Modified: 2014-03-31 11:38 MSD (History)
1 user (show)

See Also:
RPM Package: gwibber-3.0.0.1-2
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Budanov 2013-06-06 02:36:18 MSD
Description of problem:

After installing gwibber crashing when try to run in ROSA Fresh 2012 x86_64

Console output:
[test@gaming ~]$ gwibber

** (process:4086): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (process:4086): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (process:4086): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
Traceback (most recent call last):
 File "/usr/bin/gwibber", line 10, in <module>
 import sys, gtk, optparse, dbus, wnck, time
ImportError: No module named wnck

Ok. Install gnome-python-wnck.

After installing gnome-python-wnck module:

[test@gaming ~]$ gwibber

** (process:4709): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (process:4709): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (process:4709): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'

** (gwibber:4709): WARNING **: Trying to register gtype 'WnckWindowState' as enum when in fact it is of type 'GFlags'

** (gwibber:4709): WARNING **: Trying to register gtype 'WnckWindowActions' as enum when in fact it is of type 'GFlags'

** (gwibber:4709): WARNING **: Trying to register gtype 'WnckWindowMoveResizeMask' as enum when in fact it is of type 'GFlags'
GLib-GIO-Message: Using the 'memory' GSettings backend. Your settings will not be saved or shared with other applications.
ERROR:dbus.proxies:Introspect error on com.Gwibber.Service:/com/gwibber/Service: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/bin/gwibber-service exited with status 1
Traceback (most recent call last):
 File "/usr/bin/gwibber", line 87, in <module>
 client.Client()
 File "/usr/lib/python2.7/site-packages/gwibber/client.py", line 622, in __init__
 self.w = GwibberClient()
 File "/usr/lib/python2.7/site-packages/gwibber/client.py", line 39, in __init__
 self.model = gwui.Model()
 File "/usr/lib/python2.7/site-packages/gwibber/gwui.py", line 50, in __init__
 self.services = json.loads(self.daemon.GetServices())
 File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 68, in __call__
 return self._proxy_method(*args, **keywords)
 File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 143, in __call__
 **keywords)
 File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
 message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/bin/gwibber-service exited with status 1


How reproducible:
Always
Comment 1 Denis Silakov 2013-06-06 18:12:34 MSD
It seems that for some people in other systems it helps to additionally install python-libproxy.

Though in our case this doesn't help, maybe we should update either gwibber or libproxy or both.
Comment 2 Eugene Budanov 2013-06-06 18:48:24 MSD
Af(In reply to comment #1)
> It seems that for some people in other systems it helps to additionally
> install python-libproxy.
> 
> Though in our case this doesn't help, maybe we should update either gwibber
> or libproxy or both.

After installing python-libproxy package I got same output as in previous message.
Comment 3 Denis Silakov 2013-10-22 22:29:38 MSD
I have recently build new gwibber-3.6.0 and it works fine to me. Please test.
Comment 4 Eugene Budanov 2013-10-23 00:07:15 MSD
Program starting OK
Comment 5 Eugene Budanov 2013-11-16 21:49:30 MSK
but:

test@localhost .config]$ gwibber-service 
GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.
ERROR:root:Could not find any typelib for Notify
INFO:root:Logger initialized
INFO:Service:Service starting
INFO:Service:Running from the source tree
ERROR:root:Could not find any typelib for GnomeKeyring
Traceback (most recent call last):
  File "/usr/bin/gwibber-service", line 61, in <module>
    from gwibber.microblog import dispatcher
  File "/usr/lib/python2.7/site-packages/gwibber/microblog/dispatcher.py", line 7, in <module>
    import urlshorter, storage, network, util, uploader
  File "/usr/lib/python2.7/site-packages/gwibber/microblog/storage.py", line 5, in <module>
    import util, util.keyring, atexit
  File "/usr/lib/python2.7/site-packages/gwibber/microblog/util/keyring.py", line 2, in <module>
    from gi.repository import GnomeKeyring, GLib
ImportError: cannot import name GnomeKeyring

[root@localhost ~]# rpm -qa | grep gnome-keyring
libgnome-keyring-i18n-3.8.0-1-rosa2012.1.x86_64
lib64gnome-keyring0-3.8.0-1-rosa2012.1.x86_64
gnome-keyring-3.8.2-1-rosa2012.1.x86_64
Comment 6 Denis Silakov 2014-03-31 11:38:56 MSD
A good news - I have finally fixed gwibber-servioce to launch correctly. Just wait while new gwibber-3.6.0-2 is published to repositories or perform the following actions manually:

# urpmi 'typelib(GnomeKeyring)' 'typelib(Accounts)' 'typelib(Signon)'